[Artifacts.Distortion]

## Set to False to disable this module, and as much of its content as can be disabled after initial load. Doing so may cause changes in other modules as well.
# Setting type: Boolean
# Default value: true
Enabled = true

## The time when skill lockdown shifts in seconds.
# Setting type: Int32
# Default value: 60
# Acceptable value range: From 0 to 2147483647
IntervalBetweenLocks = 60

## The internal name of this artifact for use in other config entries. No effect if changed; will be reset on game launch.
# Setting type: String
# Default value: 
ConfigNameInternal = 

## The name token of this artifact for use in other config entries. No effect if changed; will be reset on game launch.
# Setting type: String
# Default value: 
ConfigNameToken = CHENSCLASSICITEMS_DISTORTION_NAME_RENDERED

[Artifacts.Origin]

## Set to False to disable this module, and as much of its content as can be disabled after initial load. Doing so may cause changes in other modules as well.
# Setting type: Boolean
# Default value: true
Enabled = true

## Amount of time in minutes for Imps to invade the area.
# Setting type: Int32
# Default value: 10
# Acceptable value range: From 0 to 2147483647
SpawnInterval = 10

## Number of Imp Overlords that will spawn for each player.
# Setting type: Int32
# Default value: 1
# Acceptable value range: From 0 to 2147483647
ImpOverlordNumber = 1

## Number of Imps that will spawn for each player.
# Setting type: Int32
# Default value: 4
# Acceptable value range: From 0 to 2147483647
ImpNumber = 4

## Number of Rare items the Imp Overlord will have.
# Setting type: Int32
# Default value: 2
# Acceptable value range: From 0 to 2147483647
ImpOverlordRedItems = 2

## Number of Uncommon items the Imp Overlord will have.
# Setting type: Int32
# Default value: 4
# Acceptable value range: From 0 to 2147483647
ImpOverlordGreenItems = 4

## Number of Common items the Imp Overlord will have.
# Setting type: Int32
# Default value: 8
# Acceptable value range: From 0 to 2147483647
ImpOverlordWhiteItems = 8

## Number of Lunar items the Imp Overlord will have.
# Setting type: Int32
# Default value: 0
# Acceptable value range: From 0 to 2147483647
ImpOverlordBlueItems = 0

## Number of Boss items the Imp Overlord will have.
# Setting type: Int32
# Default value: 0
# Acceptable value range: From 0 to 2147483647
ImpOverlordYellowItems = 0

## Number of Rare items the Imp will have.
# Setting type: Int32
# Default value: 1
# Acceptable value range: From 0 to 2147483647
ImpRedItems = 1

## Number of Uncommon items the Imp will have.
# Setting type: Int32
# Default value: 2
# Acceptable value range: From 0 to 2147483647
ImpGreenItems = 2

## Number of Common items the Imp will have.
# Setting type: Int32
# Default value: 4
# Acceptable value range: From 0 to 2147483647
ImpWhiteItems = 4

## Number of Lunar items the Imp will have.
# Setting type: Int32
# Default value: 0
# Acceptable value range: From 0 to 2147483647
ImpBlueItems = 0

## Number of Boss items the Imp will have.
# Setting type: Int32
# Default value: 0
# Acceptable value range: From 0 to 2147483647
ImpYellowItems = 0

## Multiplier applied to Imp Overlords' health. Affected by difficulty coefficient. 1 leaves them unmodified, but note that difficulty coefficient is still multiplied.
# Setting type: Single
# Default value: 1
# Acceptable value range: From 0 to 3.402823E+38
ImpOverlordHpMultiplier = 1

## Multiplier applied to Imps' health. Affected by difficulty coefficient. 1 leaves them unmodified, but note that difficulty coefficient is still multiplied.
# Setting type: Single
# Default value: 3
# Acceptable value range: From 0 to 3.402823E+38
ImpHpMultiplier = 3

## Amount of time in seconds for each Imp to spawn apart from each other which adds a delay in between them instead of spawning them all at once to avoid frame drops. 0 will spawn them all almost instantly without delay.
# Setting type: Single
# Default value: 0.3
# Acceptable value range: From 0 to 3.402823E+38
IntervalBetweenImps = 0.3

## Type of spawning of the Imp Overlord. 0 = On the player, 1 = Randomly near the player.Setting the spawn type to 0 sometimes causes the player to be catapulted off the map.
# Setting type: Int32
# Default value: 1
# Acceptable value range: From 0 to 1
ImpOverlordSpawnArea = 1

## The mode of the Imp invasion. 0 = 1 batch of Origin Imps per player, 1 = 1 batch of Origin Imps in the map.
# Setting type: Int32
# Default value: 0
# Acceptable value range: From 0 to 1
ImpInvasionBatchMode = 0

## Used for logging items that can be given to Imps. Makes it easier to report bugs related to items being received by Origin Imps.
# Setting type: Boolean
# Default value: true
LogOriginItemList = true

## The internal name of this artifact for use in other config entries. No effect if changed; will be reset on game launch.
# Setting type: String
# Default value: 
ConfigNameInternal = 

## The name token of this artifact for use in other config entries. No effect if changed; will be reset on game launch.
# Setting type: String
# Default value: 
ConfigNameToken = CHENSCLASSICITEMS_ORIGIN_NAME_RENDERED

[Artifacts.Spirit]

## Set to False to disable this module, and as much of its content as can be disabled after initial load. Doing so may cause changes in other modules as well.
# Setting type: Boolean
# Default value: true
Enabled = true

## The percentage of which maximum movement speed can be multiplied according to health loss. 1 = 100%. Note that the number here is the movement speed multiplier that can be achieved when the body is dead.
# Setting type: Single
# Default value: 3
# Acceptable value range: From 0 to 3.402823E+38
MaximumPossibleSpeedMultiplier = 3

## Determines the icon style. Any integer = Kirbsuke's, 1 = Aromatic Sunday's. Client only.
# Setting type: Int32
# Default value: 0
# Acceptable value range: From 0 to 2147483647
IconStyle = 0

## The internal name of this artifact for use in other config entries. No effect if changed; will be reset on game launch.
# Setting type: String
# Default value: 
ConfigNameInternal = 

## The name token of this artifact for use in other config entries. No effect if changed; will be reset on game launch.
# Setting type: String
# Default value: 
ConfigNameToken = CHENSCLASSICITEMS_SPIRIT_NAME_RENDERED

[Equipments.DroneRepairKit]

## Set to False to disable this module, and as much of its content as can be disabled after initial load. Doing so may cause changes in other modules as well.
# Setting type: Boolean
# Default value: true
Enabled = true

## The base cooldown of the equipment, in seconds.
# Setting type: Single
# Default value: 45
# Acceptable value range: From 0 to 3.402823E+38
Cooldown = 45

## Enable regen buff on top of the heal for Drones when this equipment is used.
# Setting type: Boolean
# Default value: true
EnableRegenBuff = true

## Type of healing done to Drones. 0 = Percentage. 1 = Fixed amount.
# Setting type: Int32
# Default value: 0
# Acceptable value range: From 0 to 1
HealType = 0

## Amount of HP healed per drone. If healing type is Percentage, 1 = 100%; based on max health. If Fixed, the amount here is the HP restored to Drones. Affected by Embryo.
# Setting type: Single
# Default value: 1
# Acceptable value range: From 0 to 3.402823E+38
HealthRestoreAmount = 1

## Type of regen applied Drones. 0 = Percentage. 1 = Fixed amount.
# Setting type: Int32
# Default value: 0
# Acceptable value range: From 0 to 1
RegenType = 0

## Amount of regeneration per drone. If healing type is Percentage, 1 = 100%; based on BASE max health of the drone. Base Max health is the unmodified max health of the drone. Scales with level. Affected by Embryo.If Fixed, the amount here is the HP restored to Drones.
# Setting type: Single
# Default value: 0.01
# Acceptable value range: From 0 to 3.402823E+38
HealthRegenAmount = 0.01

## Duration of the regen buff granted by this equipment.
# Setting type: Single
# Default value: 8
# Acceptable value range: From 0 to 3.402823E+38
RegenDuration = 8

## The internal name of this equipment for use in other config entries. No effect if changed; will be reset on game launch.
# Setting type: String
# Default value: 
ConfigNameInternal = CCIDroneRepairKit

## The name token of this equipment for use in other config entries. No effect if changed; will be reset on game launch.
# Setting type: String
# Default value: 
ConfigNameToken = CHENSCLASSICITEMS_DRONEREPAIRKIT_NAME_RENDERED

## Whether the equipment can be granted by Artifact of Enigma.
# Setting type: Boolean
# Default value: true
IsEnigmaCompatible = true

## Whether the equipment can be triggered by Bottled Chaos.
# Setting type: Boolean
# Default value: true
CanBeRandomlyTriggered = true

[Equipments.InstantMinefield]

## Set to False to disable this module, and as much of its content as can be disabled after initial load. Doing so may cause changes in other modules as well.
# Setting type: Boolean
# Default value: true
Enabled = true

## The base cooldown of the equipment, in seconds.
# Setting type: Single
# Default value: 45
# Acceptable value range: From 0 to 3.402823E+38
Cooldown = 45

## Number of mines to drop on use.
# Setting type: Int32
# Default value: 6
# Acceptable value range: From 0 to 2147483647
MineNumber = 6

## Damage of each mine.
# Setting type: Single
# Default value: 4
# Acceptable value range: From 0 to 3.402823E+38
MineDamage = 4

## The internal name of this equipment for use in other config entries. No effect if changed; will be reset on game launch.
# Setting type: String
# Default value: 
ConfigNameInternal = CCIInstantMinefield

## The name token of this equipment for use in other config entries. No effect if changed; will be reset on game launch.
# Setting type: String
# Default value: 
ConfigNameToken = CHENSCLASSICITEMS_INSTANTMINEFIELD_NAME_RENDERED

## Whether the equipment can be granted by Artifact of Enigma.
# Setting type: Boolean
# Default value: true
IsEnigmaCompatible = true

## Whether the equipment can be triggered by Bottled Chaos.
# Setting type: Boolean
# Default value: true
CanBeRandomlyTriggered = true

[Items.ArmsRace]

## Set to False to disable this module, and as much of its content as can be disabled after initial load. Doing so may cause changes in other modules as well.
# Setting type: Boolean
# Default value: true
Enabled = true

## The chance for drones to launch a mortar. Stacks multiplicatively.
# Setting type: Single
# Default value: 5
# Acceptable value range: From 0 to 100
MortarProcChance = 5

## The chance for drones to launch a missile. Stacks multiplicatively.
# Setting type: Single
# Default value: 4
# Acceptable value range: From 0 to 100
MissileProcChance = 4

## Mortar Damage Coefficient.
# Setting type: Single
# Default value: 1.5
# Acceptable value range: From 0 to 3.402823E+38
MortarDamage = 1.5

## Stacking value of Mortar Damage Coefficient. Linear.
# Setting type: Single
# Default value: 0
# Acceptable value range: From 0 to 3.402823E+38
MortarStackDamage = 0

## Missile Damage Coefficient.
# Setting type: Single
# Default value: 1.5
# Acceptable value range: From 0 to 3.402823E+38
MissileDamage = 1.5

## Stacking value of Missile Damage Coefficient. Linear.
# Setting type: Single
# Default value: 0
# Acceptable value range: From 0 to 3.402823E+38
MissileStackDamage = 0

## Determines whether Squid Polyp will work with Arms Race.
# Setting type: Boolean
# Default value: false
AllowSquidPolyps = false

## If true, the item will not be given to enemies by Evolution nor in the arena map, and it will not be found by Scavengers.
# Setting type: Boolean
# Default value: true
ItemIsAIBlacklisted = true

## The internal name of this item for use in other config entries. No effect if changed; will be reset on game launch.
# Setting type: String
# Default value: 
ConfigNameInternal = CCIArmsRace

## The name token of this item for use in other config entries. No effect if changed; will be reset on game launch.
# Setting type: String
# Default value: 
ConfigNameToken = CHENSCLASSICITEMS_ARMSRACE_NAME_RENDERED

[Items.FootMine]

## Set to False to disable this module, and as much of its content as can be disabled after initial load. Doing so may cause changes in other modules as well.
# Setting type: Boolean
# Default value: true
Enabled = true

## Fraction of max health required as damage taken to drop a poison mine.
# Setting type: Single
# Default value: 0.1
# Acceptable value range: From 0 to 1
HealthThreshold = 0.1

## Base poison damage coefficient dealt to affected enemies.
# Setting type: Single
# Default value: 1.5
# Acceptable value range: From 0 to 3.402823E+38
BaseDmg = 1.5

## Stack amount for the poison damage coefficient.
# Setting type: Single
# Default value: 0
# Acceptable value range: From 0 to 3.402823E+38
StackDmg = 0

## Number of poison ticks.
# Setting type: Int32
# Default value: 4
# Acceptable value range: From 0 to 2147483647
BaseTicks = 4

## Stack increase of poison ticks.
# Setting type: Int32
# Default value: 1
# Acceptable value range: From 0 to 2147483647
StackTicks = 1

## If true, damage to shield and barrier (from e.g. Personal Shield Generator, Topaz Brooch) will not count towards triggering Dead Man's Foot.
# Setting type: Boolean
# Default value: true
RequireHealth = true

## The internal name of this item for use in other config entries. No effect if changed; will be reset on game launch.
# Setting type: String
# Default value: 
ConfigNameInternal = CCIFootMine

## The name token of this item for use in other config entries. No effect if changed; will be reset on game launch.
# Setting type: String
# Default value: 
ConfigNameToken = CHENSCLASSICITEMS_FOOTMINE_NAME_RENDERED

## If true, the item will not be given to enemies by Evolution nor in the arena map, and it will not be found by Scavengers.
# Setting type: Boolean
# Default value: false
ItemIsAIBlacklisted = false

[Items.Missile2]

## Set to False to disable this module, and as much of its content as can be disabled after initial load. Doing so may cause changes in other modules as well.
# Setting type: Boolean
# Default value: true
Enabled = true

## Base percent chance of triggering AtG Missile Mk. 2. Affected by proc coefficient.
# Setting type: Single
# Default value: 7
# Acceptable value range: From 0 to 100
ProcChance = 7

## Added to ProcChance per extra stack of AtG Missile Mk. 2.
# Setting type: Single
# Default value: 7
# Acceptable value range: From 0 to 100
StackChance = 7

## Maximum allowed ProcChance for AtG Missile Mk. 2.
# Setting type: Single
# Default value: 100
# Acceptable value range: From 0 to 100
CapChance = 100

## Damage coefficient of each missile.
# Setting type: Single
# Default value: 3
# Acceptable value range: From 0 to 3.402823E+38
DmgCoefficient = 3

## Stack amount of Damage coefficient. Linear.
# Setting type: Single
# Default value: 0
# Acceptable value range: From 0 to 3.402823E+38
DmgStack = 0

## Number of missiles per proc.
# Setting type: Int32
# Default value: 3
# Acceptable value range: From 1 to 2147483647
MissileAmount = 3

## The internal name of this item for use in other config entries. No effect if changed; will be reset on game launch.
# Setting type: String
# Default value: 
ConfigNameInternal = CCIMissile2

## The name token of this item for use in other config entries. No effect if changed; will be reset on game launch.
# Setting type: String
# Default value: 
ConfigNameToken = CHENSCLASSICITEMS_MISSILE2_NAME_RENDERED

## If true, the item will not be given to enemies by Evolution nor in the arena map, and it will not be found by Scavengers.
# Setting type: Boolean
# Default value: false
ItemIsAIBlacklisted = false

[Items.MortarTube]

## Set to False to disable this module, and as much of its content as can be disabled after initial load. Doing so may cause changes in other modules as well.
# Setting type: Boolean
# Default value: true
Enabled = true

## Base percent chance of launch a mortar. Affected by proc coefficient.
# Setting type: Single
# Default value: 9
# Acceptable value range: From 0 to 100
ProcChance = 9

## Added to ProcChance per extra stack of Mortar Tube.
# Setting type: Single
# Default value: 0
# Acceptable value range: From 0 to 100
StackChance = 0

## Maximum allowed ProcChance for Mortar Tube.
# Setting type: Single
# Default value: 100
# Acceptable value range: From 0 to 100
CapChance = 100

## Damage coefficient of each missile.
# Setting type: Single
# Default value: 1.7
# Acceptable value range: From 0 to 3.402823E+38
DmgCoefficient = 1.7

## Stack amount of Damage coefficient. Linear.
# Setting type: Single
# Default value: 1.7
# Acceptable value range: From 0 to 3.402823E+38
DmgStack = 1.7

## Velocity multiplier for the mortar. Lower value means it moves slower.
# Setting type: Single
# Default value: 0.5
# Acceptable value range: From 0 to 3.402823E+38
VelocityMultiplier = 0.5

## How heavy the mortar is. Higher means it is heavier. This is not a percentage nor a multiplier.
# Setting type: Single
# Default value: 0.5
# Acceptable value range: From 0 to 3.402823E+38
GravityAmount = 0.5

## Setting to true would launch the mortar at a fixed angle regardless of aim. Setting to false would launch the mortar relative to aim.
# Setting type: Boolean
# Default value: false
FixedAim = false

## The angle from where the mortar is launched. 1 means completely up. -1 means completely down.
# Setting type: Single
# Default value: 0.9
# Acceptable value range: From -3.402823E+38 to 3.402823E+38
LaunchAngle = 0.9

## Inaccuracy of the mortar. Higher value means it's more inaccurate.
# Setting type: Single
# Default value: 0.05
# Acceptable value range: From 0 to 3.402823E+38
InaccuracyRate = 0.05

## Amount of mortars launched per stack. It can be set to 0.5 to fire another mortar for every 2nd Mortar Tube gained (excluding the first).
# Setting type: Single
# Default value: 0
# Acceptable value range: From 0 to 3.402823E+38
StackAmount = 0

## The internal name of this item for use in other config entries. No effect if changed; will be reset on game launch.
# Setting type: String
# Default value: 
ConfigNameInternal = CCIMortarTube

## The name token of this item for use in other config entries. No effect if changed; will be reset on game launch.
# Setting type: String
# Default value: 
ConfigNameToken = CHENSCLASSICITEMS_MORTARTUBE_NAME_RENDERED

## If true, the item will not be given to enemies by Evolution nor in the arena map, and it will not be found by Scavengers.
# Setting type: Boolean
# Default value: false
ItemIsAIBlacklisted = false

[Items.PanicMines]

## Set to False to disable this module, and as much of its content as can be disabled after initial load. Doing so may cause changes in other modules as well.
# Setting type: Boolean
# Default value: true
Enabled = true

## Fraction of max health required as damage taken to drop a mine.
# Setting type: Single
# Default value: 0.1
# Acceptable value range: From 0 to 1
HealthThreshold = 0.1

## Base AoE damage coefficient of the panic mine.
# Setting type: Single
# Default value: 5
# Acceptable value range: From 0 to 3.402823E+38
BaseDmg = 5

## Stack increase of the AoE damage coefficient.
# Setting type: Single
# Default value: 0
# Acceptable value range: From 0 to 3.402823E+38
StackDmg = 0

## If true, damage to shield and barrier (from e.g. Personal Shield Generator, Topaz Brooch) will not count towards triggering Panic Mines.
# Setting type: Boolean
# Default value: true
RequireHealth = true

## Determines if the Panic Mine will self-destruct when the owner is lost. This will deal no damage.
# Setting type: Boolean
# Default value: false
SelfDestructOnLostOwner = false

## The internal name of this item for use in other config entries. No effect if changed; will be reset on game launch.
# Setting type: String
# Default value: 
ConfigNameInternal = CCIPanicMines

## The name token of this item for use in other config entries. No effect if changed; will be reset on game launch.
# Setting type: String
# Default value: 
ConfigNameToken = CHENSCLASSICITEMS_PANICMINES_NAME_RENDERED

## If true, the item will not be given to enemies by Evolution nor in the arena map, and it will not be found by Scavengers.
# Setting type: Boolean
# Default value: false
ItemIsAIBlacklisted = false

[Items.Thallium]

## Set to False to disable this module, and as much of its content as can be disabled after initial load. Doing so may cause changes in other modules as well.
# Setting type: Boolean
# Default value: true
Enabled = true

## Base percent chance of triggering Thallium poisoning. Affected by proc coefficient.
# Setting type: Single
# Default value: 10
# Acceptable value range: From 0 to 100
ProcChance = 10

## Added to ProcChance per extra stack of Thallium. Linear.
# Setting type: Single
# Default value: 0
# Acceptable value range: From 0 to 100
StackChance = 0

## Maximum allowed ProcChance for Thallium.
# Setting type: Single
# Default value: 10
# Acceptable value range: From 0 to 100
CapChance = 10

## Damage coefficient of the poison per second. Based on the victim's damage. Automatically computed per tick.
# Setting type: Single
# Default value: 1.25
# Acceptable value range: From 0 to 3.402823E+38
DmgCoefficient = 1.25

## Stack amount of Damage coefficient. Linear.
# Setting type: Single
# Default value: 0
# Acceptable value range: From 0 to 3.402823E+38
DmgStack = 0

## Slow multiplier applied by Thallium. Only applied on the base movement speed.
# Setting type: Single
# Default value: 0.9
# Acceptable value range: From 0 to 1
SlowMultiplier = 0.9

## Duration of the Thallium debuff.
# Setting type: Int32
# Default value: 4
# Acceptable value range: From 0 to 2147483647
Duration = 4

## The internal name of this item for use in other config entries. No effect if changed; will be reset on game launch.
# Setting type: String
# Default value: 
ConfigNameInternal = CCIThallium

## The name token of this item for use in other config entries. No effect if changed; will be reset on game launch.
# Setting type: String
# Default value: 
ConfigNameToken = CHENSCLASSICITEMS_THALLIUM_NAME_RENDERED

## If true, the item will not be given to enemies by Evolution nor in the arena map, and it will not be found by Scavengers.
# Setting type: Boolean
# Default value: false
ItemIsAIBlacklisted = false

